-- na danou polohu zobrazi text
local text = {
  up= "motor vypnut",
  mid= "motor zapnut",
  down = "motor zapnut+"
}

local options = {
  {"Switch", SOURCE},
  {"Color", COLOR, WHITE}
}

local function create(zone, options)
  local wgt = {zone = zone, options = options}
  return wgt
end

local function update(wgt, options)
  if (wgt == nil) then
    return
  end
  wgt.options = options
end

local function background(wgt)
  return
end

------------------------------------------------------------

function refresh(wgt)
  if (wgt == nil) then
    return
  end

  if (wgt.options == nil) then
    return
  end

  if (wgt.options.Switch == nil) then
    return
  end

  lcd.setColor(CUSTOM_COLOR, wgt.options.Color)

  local swPos = getValue(wgt.options.Switch)
 
  if (swPos > 10) then
    lcd.drawText(wgt.zone.x, wgt.zone.y, text.up, MIDSIZE + CUSTOM_COLOR)
  elseif (swPos < -10 ) then
    lcd.drawText(wgt.zone.x, wgt.zone.y, text.down, MIDSIZE + CUSTOM_COLOR)
  else 
    lcd.drawText(wgt.zone.x, wgt.zone.y, text.mid, MIDSIZE + CUSTOM_COLOR)
  end

  return
end

return {
  name = "SWText",
  options = options,
  create = create,
  update = update,
  background = background,
  refresh = refresh
}
